SDLRadioButton(3)

NAME
SDLRadioButton - A single radio button.

SYNOPSIS

#include <sdlradiobutton.h>

Inherits SDLGradientWidget.

Inherited by SDLCheckButton.

  Public Methods
SDLRadioButton (SDLWidget* parent, int id, SDL_Rect& r, char* text, SDLRadioButton* firstOfGroup = NULL)
~SDLRadioButton ()
void LoadThemeStyle (const char* widgettype)
Load a style from the theme definition.
bool GetPressed ()
void SetPressed ()
void SetTextFormat (char* text, ...)
Sets formated text (like printf).
void SetText (char* text)
char* GetText ()

  Protected Methods
void AddToGroup (SDLRadioButton* w)
void ReleaseButton ()
void eventMouseEnter ()
void eventMouseLeave ()
bool eventMouseButtonUp (const SDL_MouseButtonEvent* button)
Overridable Eventhandler for a SDL_MouseButtonEvent message.
bool eventButtonClick (int id, SDLWidget* widget)

  Protected Attributes
SDLRadioButton* my_groupFirst
SDLRadioButton* my_groupNext
SDLButton* my_widgetButton
SDLLabel* my_widgetLabel
bool my_isPressed

DETAILED DESCRIPTION

A single radio button.

Author(s):
 Alexander Pipelka

 A single radio button, which has an attribute to signify what group it belongs to.

Definition at line 59 of file sdlradiobutton.h.

CONSTRUCTOR & DESTRUCTOR DOCUMENTATION

  SDLRadioButton::SDLRadioButton (SDLWidget * parent, int id, SDL_Rect & r, char * text, SDLRadioButton * firstOfGroup = NULL)

  SDLRadioButton::~SDLRadioButton ()

MEMBER FUNCTION DOCUMENTATION

  void SDLRadioButton::AddToGroup (SDLRadioButton * w) [protected]

  bool SDLRadioButton::GetPressed ()

  char * SDLRadioButton::GetText ()

  void SDLRadioButton::LoadThemeStyle (const char * widgettype) [virtual]

Load a style from the theme definition.

Parameters:

widgettype name of the widgettype

objectname name of the object

Loads the defined style for a given widgettype

Reimplemented from SDLGradientWidget.

  void SDLRadioButton::ReleaseButton () [protected]

  void SDLRadioButton::SetPressed ()

  void SDLRadioButton::SetText (char * text)

  void SDLRadioButton::SetTextFormat (char * text, ...)

Sets formated text (like printf).

  bool SDLRadioButton::eventButtonClick (int id, SDLWidget * widget) [protected, virtual]

Reimplemented from SDLMessageObject.

Reimplemented in SDLCheckButton.

  bool SDLRadioButton::eventMouseButtonUp (const SDL_MouseButtonEvent * my_widgetButton) [protected, virtual]

Overridable Eventhandler for a SDL_MouseButtonEvent message.

This handler is called when a mouse button is released. The default implementation returns 'false' which indicates that this message is not processed by this object.

Parameters:

button SDL_MouseButtonEvent message

Returns:
 Notifies the message pump if this message is processed by this object or it should be routed to the next message receiver.

Reimplemented from SDLWidgetDnD.

Reimplemented in SDLCheckButton.

  void SDLRadioButton::eventMouseEnter () [protected, virtual]

Reimplemented from SDLWidget.

  void SDLRadioButton::eventMouseLeave () [protected, virtual]

Reimplemented from SDLWidget.

MEMBER DATA DOCUMENTATION

  SDLRadioButton * SDLRadioButton::my_groupFirst [protected]

Definition at line 107 of file sdlradiobutton.h.

  SDLRadioButton * SDLRadioButton::my_groupNext [protected]

Definition at line 108 of file sdlradiobutton.h.

  bool SDLRadioButton::my_isPressed [protected]

Definition at line 112 of file sdlradiobutton.h.

  SDLButton * SDLRadioButton::my_widgetButton [protected]

Definition at line 110 of file sdlradiobutton.h.

  SDLLabel * SDLRadioButton::my_widgetLabel [protected]

Definition at line 111 of file sdlradiobutton.h.

AUTHOR

Generated automatically by Doxygen for ParaGUI from the source code.